Name: sunifdef           
Version: 2.1.2
Release: 1%{?dist}
Summary: A commandline tool for simplifying the preprocessor conditionals in source code       
Group: Development/Languages
License: BSD       
URL: http://www.sunifdef.strudl.org/
Source0: http://www.strudl.org/public/sunifdef/nix/stable/%{name}_v%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Sunifdef is a commandline tool for simplifying the preprocessor
conditionals in source code (\#if and related directives) based on the
the user's chosen interpretation of the preprocessor symbols. It is a
more powerful successor to the FreeBSD 'unifdef' tool.

Sunifdef is most useful to developers of constantly evolving products
with large code bases, where preprocessor conditionals are used to
configure the feature sets, APIs or implementations of different
releases. In these environments the code base steadily accumulates
\#ifdef-pollution as transient configuration options become
obselete. Sunifdef can largely automate the recurrent task of purging
redundant \#if-logic from the code.

%prep
%setup -q -n %{name}

find \( -name '*.c' -o -name '*.h' \) -exec chmod -x {} \;

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE.BSD README ChangeLog
%{_bindir}/sunifdef
%{_mandir}/man1/sunifdef.1.gz

%changelog
* Tue Jul 25 2006 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 2.1.2-1
- Update to version 2.1.2

* Tue Jul 11 2006 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 2.1.1-1
- Update to version 2.1.1

* Mon Jun  5 2006 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.0.1-4
- Update to version 1.0.1
- No need to remove build-bin and autom4te.cache with this release

* Sat Jun  3 2006 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.0-3
- Move make check to a check section

* Fri Jun  2 2006 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.0-2
- Clean up permissions on source files
- Remove prebuilt binary directory and automa4te.cache that are included in
tarball 
- Add make ceck to build
- Wrap description at 70 columns rather than 80

* Mon May 29 2006 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.0-1
- Initial package

